# Poco::Net

# class QuotedPrintableDecoder

Library: Net
Package: Messages
Header: Poco/Net/QuotedPrintableDecoder.h

## Description

This istream decodes all quoted-printable (see RFC 2045) encoded data read from the istream connected to it.

Note: For performance reasons, the characters are read directly from the given istream's underlying streambuf, so the state of the istream will not reflect that of its streambuf.

## Inheritance

Direct Base Classes: QuotedPrintableDecoderIOS, std::istream

All Base Classes: QuotedPrintableDecoderIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### QuotedPrintableDecoder

QuotedPrintableDecoder(
std::istream & istr
);

## Destructor

### ~QuotedPrintableDecoder

~QuotedPrintableDecoder();